FreeBSD : gnutls -- multiple certificate verification issues (f645aa90-a3e8-11e3-a422-3c970e169bc2)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

GnuTLS project reports :

A vulnerability was discovered that affects the certificate
verification functions of all gnutls versions. A specially crafted
certificate could bypass certificate validation checks. The
vulnerability was discovered during an audit of GnuTLS for Red Hat.

Suman Jana reported a vulnerability that affects the certificate
verification functions of gnutls 2.11.5 and later versions. A version
1 intermediate certificate will be considered as a CA certificate by
default (something that deviates from the documented behavior).

See also :

http://www.gnutls.org/security.html#GNUTLS-SA-2014-1
http://www.gnutls.org/security.html#GNUTLS-SA-2014-2
http://www.nessus.org/u?9e10de98

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 72808 ()

Bugtraq ID:

CVE ID: CVE-2014-0092
CVE-2014-1959

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now